Subject: Re: bug#68054: [PATCH] Add tree-sitter indent rule for lexical decls in js/typescript

From: Yuan Fu <[email-masked]>
Date: Sun, 31 Dec 2023 20:56:04 -0800

> On Dec 31, 2023, at 5:41 AM, Dmitry Gutov <[email-masked]> wrote:
> 
> On 31/12/2023 07:35, Noah Peart wrote:
>> Yea, I agree that would be better - would you align on start the variable names, or '=' like
>> `c-lineup-assignments`?
> 
> Like js-mode would be good.
> 
> I'm not familiar with c-lineup-assignments, but we could add different variations later.

Also, if you are feeling adventurous, I noticed that the second variable in a lexical_declaration isn’t fontified in variable-name-face. It’d be nice to fix that as well.

Yuan